import 'package:flutter_test/flutter_test.dart';
import 'package:pam_flutter/repositories/base_repository.dart';
import 'package:pam_flutter/repositories/pdpa_repository.dart';

void main() {
  test('pam url parser', () async {
    String url = "3dsflutter//products?id=1nxPka3SwRwOuqEq9IdD5mcu6Wu";
    Uri uri = Uri.parse(url);

    expect(uri.queryParameters["id"], "1nxPka3SwRwOuqEq9IdD5mcu6Wu");
  });

  test('adds one to input values', () async {
    PDPARepository pdpaRepository = PDPARepository(
        options: NewRepositoryOptions(
            baseUrl: "https://stg-mkt.pams.ai/api/pdpa/consent-message"));
    await pdpaRepository.get("1pVUwimkgNqeriIDg4KCVICOGg2");
  });
}
